%define version 1.0.19
%define rel 1

%define subrel 1
%{?!distversion:%define distversion %(echo $[%{mdkversion}/10])}
%define release %{rel}mdk
%{?!_with_official: %define release %(echo $[%rel-1].%{subrel}.%{distversion}mdk)}
%{?!_with_official: %{error:%(echo -e "\n\n\nYou are building an unofficial package, please see \nhttp://qa.mandrakesoft.com/twiki/bin/view/Main/DistroSpecificReleaseTag\nif you think this is incorrect\n\n\n ")}%(sleep 4)}

Summary:	A MySQL server management, configuration and monitoring tool
Name:		mysql-administrator
Version:	%{version}
Release:	%{release}
Group:		Databases
License:	GPL
URL:		http://www.mysql.com/products/administrator
Source0:	http://ftp.sunet.se/pub/unix/databases/relational/mysql/Downloads/MySQLAdministrationSuite/%{name}-%{version}.tar.bz2
BuildRequires:	pcre-devel >= 3.9
BuildRequires:	libglade2.0-devel >= 2.0.0
BuildRequires:	gtkmm2.0-devel >= 2.2.0
BuildRequires:	MySQL-devel >= 4.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
MySQL Administrator is a powerful visual administration console that 
enables you to easily administer your MySQL environment and gain 
significantly better visibility into how your databases are operating. 
MySQL Administrator now integrates database management and maintenance 
into a single, seamless environment, with a clear and intuitive graphical 
user interface.

It's part of the MySQL Administration Suite.

%prep

%setup -q

%build

cd mysql-gui-common
%configure --with-commondirname=administrator
%make

cd ../%{name}
%configure --with-commondirname=administrator
%make

%install
rm -rf %{buildroot}
cd mysql-gui-common
%makeinstall_std

cd ../%{name}
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/mysql-gui/doc/administrator/
cp -a doc/* %{buildroot}%{_datadir}/mysql-gui/doc/administrator/

install -d %{buildroot}/{%{_menudir},%{_iconsdir},%{_liconsdir},%{_miconsdir}}
kdedesktop2mdkmenu.pl %{name} "More Applications/Databases" %{buildroot}/%{_datadir}/applications/MySQLAdministrator.desktop %{buildroot}/%{_menudir}/%{name}
perl -pi -e 's,icon=\".*\",icon=\"%{name}.png\",g' %{buildroot}/%{_menudir}/%{name}

ln -s %{_datadir}/mysql-gui/MySQLIcon_Admin_32x32.png %{buildroot}/%{_iconsdir}/%{name}.png
ln -s %{_datadir}/mysql-gui/MySQLIcon_Admin_16x16.png %{buildroot}/%{_miconsdir}/%{name}.png
ln -s %{_datadir}/mysql-gui/MySQLIcon_Admin_48x48.png %{buildroot}/%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus
 
%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc mysql-administrator/ChangeLog mysql-administrator/COPYING 
%doc mysql-administrator/res/FAQ
%attr(0755,root,root) %{_bindir}/mysql-administrator
%attr(0755,root,root) %{_bindir}/mysql-administrator-bin
%{_datadir}/applications/*.desktop
%{_datadir}/mysql-gui/*.png
%dir %{_datadir}/mysql-gui/administrator
%{_datadir}/mysql-gui/administrator/*
%dir %{_datadir}/mysql-gui/doc/administrator
%{_datadir}/mysql-gui/doc/administrator/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.19-1mdk
- rebuild
- last version was really 1.0.19, not 1.0.17

* Fri Jan 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.19-1mdk
- 1.0.17
- rebuilt against MySQL-4.1.x system libs

* Tue Dec 07 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.0.16-1mdk
- First Mandrake package (based on spec distributed in the source)

* Sat Apr  3 2004 Alfredo Kojima <alfredo@mysql.com> 1.0.3_alpha-1
- initial RPM packaging
